#
# spec file for package perl-Devel-StackTrace
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

#Distribution:   %dist
#Packager:       %packager
#Vendor:         %vendor

Name:           perl-Devel-StackTrace
%define cpan_name %( echo %{name} | %{__sed} -e 's,perl-,,' )
Summary:        Stack trace and stack trace frame objects
Version:        1.20
Release:        1
License:        GPL/Artistic
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Devel-StackTrace
Source:         %{cpan_name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.46
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Scalar::Util)
Requires:  perl = %{perl_version}
Requires:  perl(File::Spec)
Requires:  perl(Scalar::Util)

#-------------------------------------------------------------------------------
%description
#-------------------------------------------------------------------------------
The Devel::StackTrace module contains two classes, Devel::StackTrace and
Devel::StackTraceFrame. The goal of this object is to encapsulate the
information that can found through using the caller() function, as well
as providing a simple interface to this data.

The Devel::StackTrace object contains a set of Devel::StackTraceFrame
objects, one for each level of the stack. The frames contain all the
data available from "caller()".

This code was created to support my Exception::Class::Base class (part
of Exception::Class) but may be useful in other contexts.

  Authors:	Dave Rolsky, <autarch@urth.org>
--------------------------------------------------------------------------------
#-------------------------------------------------------------------------------
%prep
#-------------------------------------------------------------------------------
%setup -q -n %{cpan_name}-%{version}

#-------------------------------------------------------------------------------
%build
#-------------------------------------------------------------------------------
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
%{__make}

%check
%{__make} test

#-------------------------------------------------------------------------------
%install
#-------------------------------------------------------------------------------
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

#-------------------------------------------------------------------------------
%clean 
#-------------------------------------------------------------------------------
%{__rm} -rf $RPM_BUILD_ROOT

#-------------------------------------------------------------------------------
%files -f %{name}.files
#-------------------------------------------------------------------------------
# normally you only need to check for doc files
%defattr(-,root,root)
%doc Changes LICENSE README SIGNATURE

#-------------------------------------------------------------------------------
%changelog
#-------------------------------------------------------------------------------

